%define name mcatalog
%define version 0.2
%define release %mkrel 14
%define monoprefix %_prefix/lib
Summary: Film and book catalog
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.mcatalog.net/releases/%{name}-%{version}.tar.bz2
Patch: mcatalog-0.2-desktopentry.patch
Patch1: mcatalog-0.2-gredir.patch
License: GPLv2+
Group: Archiving/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://mcatalog.net/
BuildArch: noarch
BuildRequires: gtk2-devel
BuildRequires: mono-devel
BuildRequires: sqlite-devel
BuildRequires: mono-data-sqlite
BuildRequires: evolution-sharp
BuildRequires: gnome-sharp2-devel
BuildRequires: gecko-sharp2
BuildRequires: intltool
BuildRequires: ImageMagick
Requires: libxulrunner

%description
mCatalog is an application for catalogue things like films and books.
It's completely written it C#, and dessigned for working in the GNOME
desktop.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
./configure --prefix=%_prefix --libdir=%monoprefix --sysconfdir=%_sysconfdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

mkdir -p $RPM_BUILD_ROOT/{%{_miconsdir},%_liconsdir}
ln -s %_datadir/%name/pixmaps/%name.png %buildroot%_liconsdir/
convert -scale 32 images/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 images/%name.png %buildroot%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %name
%update_menus
%endif


%preun
%preun_uninstall_gconf_schemas %name

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc NEWS TODO AUTHORS ChangeLog
#README
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%dir %monoprefix/%name
%monoprefix/%name/%name.exe
#%ghost %monoprefix/%name/%name.exe.so
%_datadir/application-registry/%name.applications
%_datadir/applications/%name.desktop
%_datadir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 0.2-14mdv2009.0
+ Revision: 287856
- rebuild

* Thu Sep 18 2008 Götz Waschk <waschk@mandriva.org> 0.2-13mdv2009.0
+ Revision: 285593
- rebuild

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 0.2-12mdv2009.0
+ Revision: 273830
- rebuild

* Wed Aug 13 2008 Götz Waschk <waschk@mandriva.org> 0.2-11mdv2009.0
+ Revision: 271469
- fix libxulrunner dep

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 0.2-10mdv2009.0
+ Revision: 255165
- use xulrunner
- update license

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-9mdv2009.0
+ Revision: 236421
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 0.2-8mdv2009.0
+ Revision: 231252
- Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Apr 20 2008 Götz Waschk <waschk@mandriva.org> 0.2-7mdv2009.0
+ Revision: 195869
- fix buildrequires

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 0.2-6mdv2008.1
+ Revision: 190335
- Rebuild for Firefox 2.0.0.13

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Sun Feb 10 2008 Götz Waschk <waschk@mandriva.org> 0.2-5mdv2008.1
+ Revision: 164803
- fix firefox dep

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Sun Jan 06 2008 Götz Waschk <waschk@mandriva.org> 0.2-4mdv2008.1
+ Revision: 146078
- fix dep on firefox (bug #36528)
- fix gconf schema registration
- fix desktop entry

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 24 2007 Götz Waschk <waschk@mandriva.org> 0.2-3mdv2008.0
+ Revision: 70813
- Import mcatalog



* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 0.2-3mdv2007.0
- xdg menu

* Sat Oct 22 2005 Götz Waschk <waschk@mandriva.org> 0.2-3mdk
- Rebuild

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.2-2mdk
- rebuild for new gtk-sharp2

* Thu Aug 04 2005 Götz Waschk <waschk@mandriva.org> 0.2-1mdk
- update buildrequires
- drop patch
- new source URL
- New release 0.2

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 0.1-4mdk
- disable aot, broken in mono 1.1.7

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 0.1-3mdk
- aot compile the exe in %%post

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.1-2mdk
- new url
- patch to make it build with current mono

* Sun Jan 30 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- New release 0.1

* Wed Dec 29 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.6-1mdk
- New release 0.0.6

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- update file list
- New release 0.0.5

* Mon Oct 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- New release 0.0.4

* Sun Oct 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.3-2mdk
- fix gconf script

* Sat Oct 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.3-1mdk
- drop patch
- New release 0.0.3

* Thu Oct 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-3mdk
- fix buildrequires

* Wed Oct 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-2mdk
- make it a noarch package

* Wed Oct 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- initial package
